#
# spec file for package zypper-search-packages-plugin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zypper-search-packages-plugin
Version:        0.7
Release:        5.35
Summary:        Zypper subcommand for online package search
License:        GPL-2.0-only
Group:          System/Packages
URL:            https://github.com/jsrain/zypper-search-packages
Source0:        zypper-search-packages-git.tar.xz
BuildRequires:  ruby-macros >= 5
BuildRequires:  zypper >= 1.11.38
Requires:       zypper >= 1.11.38
Requires:       rubygem(%{rb_default_ruby_abi}:suse-connect) >= 0.3.9
Supplements:    packageand(zypper:SUSEConnect)
Obsoletes:	zypper-package-search-plugin
Provides:	supports-zypper-cli-forwarding
BuildArch:      noarch
# SUSEConnect does not build for i586 and s390 and is not supported on those architectures
# bsc#1088552
ExcludeArch:    %ix86 s390

%description
Zypper subcommand for online package search via
the API of the SUSE Customer Center.

%prep
%setup -q -n zypper-search-packages-git

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/zypper/commands $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 zypper-search-packages %{buildroot}%{_prefix}/lib/zypper/commands/
install -m 644 zypper-search-packages.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

%files
%license COPYING
%{_prefix}/lib/zypper/commands
%{_mandir}/man8/*

%changelog
* Mon Dec 17 2018 jsrain@suse.cz
- unify the parameters with zypper (bsc#1119373)
- 0.7
* Fri Nov  9 2018 jsrain@suse.cz
- support all options of zypper search (fate#325599)
- 0.6
* Thu Nov  1 2018 jsrain@suse.cz
- added command to activate respective module (gh#2)
* Tue May 15 2018 jsrain@suse.cz
- include the module ID with its user-readable name (bsc#1092922)
- 0.5
* Fri Apr 27 2018 jsrain@suse.cz
- do not build on 32-bit architectures (bsc#1088552)
- added man pakge
- 0.4
* Fri Apr 20 2018 jsrain@suse.cz
- renamed the command to 'zypper-search-packages'
- extended the search to installed and available packages
- 0.3
* Mon Apr 16 2018 dimstar@opensuse.org
- Don't use obsolete $RPM_ shell variables.
- Prepare for the package to be maintained by source services.
* Fri Apr 13 2018 jsrain@suse.cz
- Added more output options
- Updated .spec-file formatting
- 0.2
* Tue Apr 10 2018 okurz@suse.com
- Extend help text stating the RMT/SCC query (bsc#1088806)
- Use same option '-x, --match-exact' as on "zypper se"
* Tue Apr  3 2018 jsrain@suse.cz
- initial version
